onEvent("recipes", event => {
  event.remove({output: 'thermal:rf_coil'})
  event.shaped(Item.of('thermal:rf_coil'), [
    ' GR',
    'GCG',
    'RG ' 
  ], {
    G: 'minecraft:gold_nugget',
    R: 'minecraft:redstone',
    C: 'pneumaticcraft:ingot_iron_compressed'
  })

  event.recipes.thermal.centrifuge('fluxnetworks:flux_dust', 'minecraft:redstone')

  event.remove({output: `thermal:iron_gear`, type: 'minecraft:crafing_shaped'})
  
  event.remove({output: 'thermal:machine_insolator'})
  event.shaped(Item.of('thermal:machine_insolator'), [
    ' C ',
    'GMG',
    'LRL' 
  ], {
    C: 'immersiveengineering:cloche',
    G: '#forge:glass',
    M: 'thermal:machine_frame',
    L: 'thermal:lumium_gear',
    R: 'thermal:rf_coil'
  })

  fixDust = (output, ingredients) => {
    event.remove({ id: `${output.substr(3, output.length)}_${output.substr(0, 1)}`})
    event.recipes.createMixing(output, ingredients)
  }

  fixDust('2x thermal:enderium_dust', ['3x thermal:lead_dust', 'thermal:diamond_dust', '2x minecraft:ender_pearl'])
  fixDust('4x thermal:lumium_dust', ['3x thermal:tin_dust', 'thermal:lead_dust', '2x minecraft:glowstone_dust'])

  event.recipes.immersiveengineeringArcFurnace(['thermal:enderium_ingot'], '3x thermal:lead_ingot', ['thermal:diamond_dust', '2x minecraft:ender_pearl'])
  event.recipes.immersiveengineeringArcFurnace(['thermal:lumium_ingot'], '3x thermal:tin_ingot', ['thermal:silver_ingot', '2x minecraft:glowstone_dust'])
  event.recipes.immersiveengineeringArcFurnace(['thermal:signalum_ingot'], '3x thermal:copper_ingot', ['thermal:silver_ingot', '3x minecraft:redstone'])
})